%{?nodejs_find_provides_and_requires}

%global packagename mock-fs
%global enable_tests 1

Name:		nodejs-mock-fs
Version:	3.11.0
Release:	1%{?dist}
Summary:	A configurable mock file system

License:	MIT
URL:		https://github.com/tschaub/mock-fs
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(rewire)
BuildRequires:	npm(semver)

%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(chai)
%endif

%description
A configurable mock file system.  You know, for testing.


%prep
%autosetup -n package


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ node/ benchmarks/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec --recursive test
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc readme.md changelog.md
%license license.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Tue Aug  2 2016 Jared Smith <jsmith@fedoraproject.org> - 3.11.0-1
- Initial packaging
